import { BasicColumn } from '/@/components/Table';
import { FormSchema } from '/@/components/Table';
import { optionsListApi,optionsListApiType } from '/@/api/tigerapi/mes/smt/smtmaintain';
import { h,unref } from 'vue';
import { Tag ,Tooltip} from 'ant-design-vue';
import{ useLocale } from '/@/locales/useLocale';

const { getLocale }=useLocale();

export const columns: BasicColumn[] = [
  {
    title: '班制编码',
    dataIndex: 'SFTS_CODE',
    width:200,
    sorter: true,
    resizable:true
  },
  {
    title: '班制名称',
    dataIndex: 'SFTS_NAME',
    width: 100,
    sorter: true,
    resizable:true
  },
  {
    title: '是否启用',
    dataIndex: 'IS_ACTIVE',
    width: 100,
    sorter: true,
    resizable: true,
  },
  {
    title: '备注',
    dataIndex: 'REMARK',
    width:100,
    sorter: true,
    resizable:true
  }
  ,
  {
    title: '创建人',
    dataIndex: 'CREATE_USER',
    width:100,
    sorter: true,
    resizable:true
  },
  {
    title: '创建时间',
    dataIndex: 'CREATE_TIME',
    width:100,
    sorter: true,
    resizable:true
  },
  {
    title: 'ID',
    dataIndex: 'ID',
    width:200,
    sorter: true,
    resizable:true,
    ifShow:false
  }
];

export const searchFormSchema: FormSchema[] = [
  {
    field: 'SFTS_CODE',
    label: '班制编码',
    component: 'Input',
    colProps: { span: 8 },
  }
];

//新增班次
export const formSchema: FormSchema[] = [
  {
    label: '班次编码',
    field: 'SFT_CODE',
    required: true,
    colProps: { span: 12 },
    component: 'Input',
  },
  {
    field: 'ID',
    label: 'ID',
    component: 'Input',
    show: false,
  },
  {
    label: '班次名称',
    field: 'SFTS_NAME',
    required: true,
    colProps: { span: 12 },
    component: 'Input',
  },
  {
    label: '班制编码',
    field: 'SFTS_CODE',
    required: true,
    colProps: { span: 12 },
    component: 'Input',
  },
  {
    label: '班次开始时间',
    field: 'SFT_BEGIN',
    required: true,
    colProps: { span: 12 },
    component: 'Input',
  },
  {
    label: '班次结束时间',
    field: 'SFT_END',
    required: true,
    colProps: { span: 12 },
    component: 'Input',
  },
  {
    label: '是否跨天',
    field: 'IS_ACROSS_DAY',
    required: true,
    component: 'Select',
    colProps: { span: 12 },
    componentProps: {
      options: [
        {
          label: 'Y',
          value: 'Y',
          key: 'Y',
        },
        {
          label: 'N',
          value: 'N',
          key: 'N',
        },
      ],
    },
  },
  {
    label: '备注',
    field: 'REMARK',
    colProps: { span: 12 },
    component: 'Input',
  }
];

export const searchFormSchema_D: FormSchema[] = [
  {
    field: 'TOOL_CODE',
    label: '工具编码',
    component: 'Input',
    colProps: { span: 8 },
  }
];
//班次
export const dtlColumns: BasicColumn[] = [
  {
    title: '班次编码',
    dataIndex: 'SFT_CODE',
    width:200,
    sorter: true,
    resizable:true
  },
  {
    title: '班次名称',
    dataIndex: 'SFT_NAME',
    width: 100,
    sorter: true,
    resizable:true
  },
  {
    title: '班制编码',
    dataIndex: 'SFTS_CODE',
    width: 100,
    sorter: true,
    resizable: true,
  },
  {
    title: '班次开始时间',
    dataIndex: 'SFT_BEGIN',
    width: 100,
    sorter: true,
    resizable: true,
  },
  {
    title: '班次结束时间',
    dataIndex: 'SFT_END',
    width: 100,
    sorter: true,
    resizable: true,
  },
  {
    title: '是否跨天',
    dataIndex: 'IS_ACROSS_DAY',
    width: 100,
    sorter: true,
    resizable: true,
  },
  {
    title: '备注',
    dataIndex: 'REMARK',
    width:100,
    sorter: true,
    resizable:true
  }
  ,
  {
    title: '创建人',
    dataIndex: 'CREATE_USER',
    width:100,
    sorter: true,
    resizable:true
  },
  {
    title: '创建时间',
    dataIndex: 'CREATE_TIME',
    width:100,
    sorter: true,
    resizable:true
  },
  {
    title: 'ID',
    dataIndex: 'ID',
    width:200,
    sorter: true,
    resizable:true,
    ifShow:false
  }
];
//当前班制
export const newFormSchema: FormSchema[] = [
  {
    label: '班制编码',
    field: 'SFTS_CODE',
    colProps: { span: 8 },
    component: 'Input',
  },
  {
    label: '班制名称',
    field: 'SFTS_NAME',
    colProps: { span: 8 },
    component: 'Input',
  },
  {
    label: '是否启用',
    field: 'IS_ACTIVE',
    colProps: { span: 8 },
    component: 'Input',
    componentProps: {
      options: [
        {
          label: 'Y',
          value: 'Y',
          key: 'Y',
        },
        {
          label: 'N',
          value: 'N',
          key: 'N',
        },
      ],
    },
  },
  {
    label: '备注',
    field: 'REMARK',
    colProps: { span: 8 },
    component: 'Input',
  }
  ,
  {
    label: '创建人',
    field: 'CREATE_USER',
    colProps: { span: 8 },
    component: 'Input',
    show:false
  },
  {
    label: '创建时间',
    field: 'CREATE_TIME',
    colProps: { span: 8 },
    component: 'Input',
  },
  {
    label: 'ID',
    field: 'ID',
    colProps: { span: 8 },
    component: 'Input',
    show:false
  }
];

